Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class CachedField

    java.lang.Object
      groovy.lang.MetaProperty
          org.codehaus.groovy.reflection.CachedField

    public class CachedField

extends MetaProperty

Field Summary
`Field` | `field`

Fields inherited from class groovy.lang.MetaProperty
`name, type`

Constructor Summary
`CachedField(CachedClass clazz, Field field)`

Method Summary
`int` | `getModifiers()`
`Object` | `getProperty(Object object)`
`boolean` | `isStatic()`
`void` | `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

Methods inherited from class groovy.lang.MetaProperty
`getName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### field

    public final Field field

Constructor Detail

### CachedField

    public CachedField(CachedClass clazz,
                       Field field)

Method Detail

### isStatic

    public boolean isStatic()

### getModifiers

    public int getModifiers()

  Overrides:
    `getModifiers` in class `MetaProperty`

### getProperty

    public Object getProperty(Object object)

  Specified by:
    `getProperty` in class `MetaProperty`
  Returns:
    the property of the given object
  Throws:
    `Exception` - if the property could not be evaluated

### setProperty

    public void setProperty(Object object,
                            Object newValue)

  Sets the property on the given object to the new value

  Specified by:
    `setProperty` in class `MetaProperty`
  Parameters:
    `object` - on which to set the property
    `newValue` - the new value of the property
  Throws:
    `RuntimeException` - if the property could not be set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD